<?php

/**
 * Admin callbacks for the ia module.
 *
 * @file: ia.admin.inc
 * @author: Elliott Foster
 * @copyright: NewMBC 2009
 */

/**
 * ia_settings - return the system settings form
 *  for the ia module.
 */
function ia_settings() {
  $form = array();

  $form['ia_invites_per_page'] = array(
    '#type' => 'textfield',
    '#title' => t('Invites Per Page'),
    '#default_value' => variable_get('ia_invites_per_page', 10),
    '#description' => t('Enter the number of invites per page to use on the ia page'),
    '#required' => TRUE,
  );

  // allow site admins to add an invite link to the
  // ia page
  if (module_exists('invite')) {
    $form['invite_integration'] = array(
      '#type' => 'fieldset',
      '#title' => t('Invite Link'),
      '#collapsible' => TRUE,
      'collapsed' => FALSE,
    );
    $form['invite_integration']['ia_invite_link'] = array(
      '#type' => 'checkbox',
      '#title' => t('Add invite link to ia page?'),
      '#default_value' => variable_get('ia_invite_link', TRUE),
      '#description' => t('Select this if you want to display a link to /invite on the invite aggregator page'),
    );
    $form['invite_integration']['ia_invite_link_position'] = array(
      '#type' => 'radios',
      '#title' => t('Display invite link'),
      '#options' => array('above' => t('above ia'), 'below' => t('below ia'), 'both' => t('above and below ia')),
      '#default_value' => variable_get('ia_invite_link_position', 'above'),
      '#description' => t('Select where you want the invite link to be displayed')
    );
    $form['invite_integration']['ia_invite_link_text'] = array(
      '#type' => 'textfield',
      '#title' => t('Invite link text'),
      '#default_value' => variable_get('ia_invite_link_text', t('Invite a friend to join @site_name', array('@site_name' => variable_get('site_name', 'Drupal')))),
      '#description' => t('Set the text that will be displayed in the invite link'),
      '#required' => TRUE,
    );
  }

  return system_settings_form($form);
}

